| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | List of all members
Well::Data Class Reference
Well

The holder of all data concerning a certain well. More...

`#include <welldata.h>`

Inheritance diagram for Well::Data:
[legend]

## Public Member Functions
| Data (const char *nm=nullptr)
void | addCheckShotModel (D2TModel *, bool setasactive)
void | addD2TModel (D2TModel *, bool setasactive)
D2TModel * | checkShotModel ()
const D2TModel * | checkShotModel () const
| Active check-shot model.
D2TModel * | checkShotModelByIndex (int)
const D2TModel * | checkShotModelByIndex (int) const
D2TModel * | checkShotModelByName (const char *)
const D2TModel * | checkShotModelByName (const char *) const
D2TModel * | d2TModel ()
const D2TModel * | d2TModel () const
| Active time-depth model.
D2TModel * | d2TModelByIndex (int)
const D2TModel * | d2TModelByIndex (int) const
D2TModel * | d2TModelByName (const char *)
const D2TModel * | d2TModelByName (const char *) const
DisplayProperties & | displayProperties (bool for2d=false)
const DisplayProperties & | displayProperties (bool for2d=false) const
void | getCheckShotModelNames (BufferStringSet &) const
void | getD2TModelNames (BufferStringSet &) const
uiString | getInfoString (Info::InfoType, const IOPar *modifier=nullptr) const
void | getLoadedLogNames (BufferStringSet &) const
const Well::Log * | getLog (const char *lognm) const
Well::Log * | getLogForEdit (const char *lognm)
void | getLogNames (BufferStringSet &, bool needreload=false) const
bool | haveCheckShotModel () const
bool | haveD2TModel () const
bool | haveLogs () const
bool | haveMarkers () const
Info & | info ()
const Info & | info () const
void | levelToBeRemoved (CallBacker *)
Well::LoadReqs | loadState () const
LogSet & | logs ()
const LogSet & | logs () const
MarkerSet & | markers ()
const MarkerSet & | markers () const
const MultiID & | multiID () const
const OD::String & | name () const override
int | nrCheckShotModels () const
int | nrD2TModels () const
void | reloadLogInfos () const
bool | setActiveCheckShotModel (D2TModel *)
bool | setActiveD2TModel (D2TModel *)
bool | setCheckShotModel (D2TModel *)
| mine, too, replaces the active model
bool | setD2TModel (D2TModel *)
| becomes mine, replaces the active model
void | setEmpty ()
| removes everything
void | setMultiID (const MultiID &mid) const
void | setName (const char *nm) override
Track & | track ()
const Track & | track () const
Public Member Functions inherited from SharedObject
| SharedObject (const char *nm=nullptr)
Public Member Functions inherited from NamedCallBacker
| NamedCallBacker (const char *nm=nullptr)
| NamedCallBacker (const NamedCallBacker &)=delete
| ~NamedCallBacker ()
virtual Notifier< NamedCallBacker > & | objectToBeDeleted () const
NamedCallBacker & | operator= (const NamedCallBacker &)=delete
bool | operator== (const NamedCallBacker &oth) const
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const
Public Member Functions inherited from RefCount::Referenced
void | addObserver (WeakPtrBase *obs)
| Not for normal use. May become private.
int | nrRefs () const
| Only for expert use.
void | ref () const
bool | refIfReffed () const
| Don't use in production, for debugging.
void | removeObserver (WeakPtrBase *obs)
| Not for normal use. May become private.
bool | tryRef () const
| Not for normal use. May become private.
void | unRef () const
void | unRefNoDelete () const

## Public Attributes
Notifier< Well::Data > | csmdlchanged
Notifier< Well::Data > | d2tchanged
Notifier< Well::Data > | disp2dparschanged
Notifier< Well::Data > | disp3dparschanged
CNotifier< Well::Data, int > | logschanged
Notifier< Well::Data > | markerschanged
Notifier< Well::Data > | reloaded
Notifier< Well::Data > | trackchanged

## Protected Member Functions
virtual | ~Data ()
void | prepareForDelete () override
Protected Member Functions inherited from SharedObject
| ~SharedObject ()
Protected Member Functions inherited from NamedCallBacker
void | sendDelNotif () const
Protected Member Functions inherited from RefCount::Referenced
| Referenced ()
| Referenced (const Referenced &)
virtual | ~Referenced ()
Referenced & | operator= (const Referenced &)

## Protected Attributes
D2TModel * | actcsmodel_ = nullptr
D2TModel * | actd2tmodel_ = nullptr
ObjectSet< D2TModel > | csmodels_
ObjectSet< D2TModel > | d2tmodels_
DisplayProperties & | disp2d_
DisplayProperties & | disp3d_
Info | info_
LogSet & | logs_
MarkerSet & | markers_
MultiID | mid_
Track & | track_
Protected Attributes inherited from NamedCallBacker
Threads::Atomic< bool > | delalreadytriggered_
Notifier< NamedCallBacker > | delnotif_
Protected Attributes inherited from NamedObject
BufferString | name_

## Additional Inherited Members
Public Types inherited from ObjectWithName
typedef OD::String | name_type
Static Public Member Functions inherited from SharedObject
static Notifier< SharedObject > & | instanceCreated ()
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()
Static Public Member Functions inherited from RefCount::Referenced
static bool | isSane (const Referenced *)

## Detailed Description

The holder of all data concerning a certain well.

For Well::Data from database this object gets filled with either calls to Well::MGR().get to get everything or Well::Reader::get*() to only get some of it (only track, only logs, ...).

Note that a well is not a POSC well in the sense that it describes the data for one well bore. Thus, a well has a single track. This may mean duplication when more well tracks share an upper part.

<>

## Constructor & Destructor Documentation

## ◆ Data()

Well::Data::Data | ( | const char * | nm = nullptr | ) |

## ◆ ~Data()

virtual Well::Data::~Data | ( |  | ) |
| protected virtual

## Member Function Documentation

## ◆ addCheckShotModel()

void Well::Data::addCheckShotModel | ( | D2TModel * | ,
|  | bool | setasactive )

## ◆ addD2TModel()

void Well::Data::addD2TModel | ( | D2TModel * | ,
|  | bool | setasactive )

## ◆ checkShotModel() [1/2]

D2TModel * Well::Data::checkShotModel | ( |  | ) |

## ◆ checkShotModel() [2/2]

const D2TModel * Well::Data::checkShotModel | ( |  | ) | const

Active check-shot model.

## ◆ checkShotModelByIndex() [1/2]

D2TModel * Well::Data::checkShotModelByIndex | ( | int |  | ) |

## ◆ checkShotModelByIndex() [2/2]

const D2TModel * Well::Data::checkShotModelByIndex | ( | int |  | ) | const

## ◆ checkShotModelByName() [1/2]

D2TModel * Well::Data::checkShotModelByName | ( | const char * |  | ) |

## ◆ checkShotModelByName() [2/2]

const D2TModel * Well::Data::checkShotModelByName | ( | const char * |  | ) | const

## ◆ d2TModel() [1/2]

D2TModel * Well::Data::d2TModel | ( |  | ) |

## ◆ d2TModel() [2/2]

const D2TModel * Well::Data::d2TModel | ( |  | ) | const

Active time-depth model.

## ◆ d2TModelByIndex() [1/2]

D2TModel * Well::Data::d2TModelByIndex | ( | int |  | ) |

## ◆ d2TModelByIndex() [2/2]

const D2TModel * Well::Data::d2TModelByIndex | ( | int |  | ) | const

## ◆ d2TModelByName() [1/2]

D2TModel * Well::Data::d2TModelByName | ( | const char * |  | ) |

## ◆ d2TModelByName() [2/2]

const D2TModel * Well::Data::d2TModelByName | ( | const char * |  | ) | const

## ◆ displayProperties() [1/2]

DisplayProperties & Well::Data::displayProperties | ( | bool | for2d = false | ) |
| inline

## ◆ displayProperties() [2/2]

const DisplayProperties & Well::Data::displayProperties | ( | bool | for2d = false | ) | const
| inline

## ◆ getCheckShotModelNames()

void Well::Data::getCheckShotModelNames | ( | BufferStringSet & |  | ) | const

## ◆ getD2TModelNames()

void Well::Data::getD2TModelNames | ( | BufferStringSet & |  | ) | const

## ◆ getInfoString()

uiString Well::Data::getInfoString | ( | Info::InfoType | ,
|  | const IOPar * | modifier = nullptr ) const

## ◆ getLoadedLogNames()

void Well::Data::getLoadedLogNames | ( | BufferStringSet & |  | ) | const

## ◆ getLog()

const Well::Log * Well::Data::getLog | ( | const char * | lognm | ) | const

## ◆ getLogForEdit()

Well::Log * Well::Data::getLogForEdit | ( | const char * | lognm | ) |

## ◆ getLogNames()

void Well::Data::getLogNames | ( | BufferStringSet & | ,
|  | bool | needreload = false ) const

## ◆ haveCheckShotModel()

bool Well::Data::haveCheckShotModel | ( |  | ) | const
| inline

## ◆ haveD2TModel()

bool Well::Data::haveD2TModel | ( |  | ) | const
| inline

## ◆ haveLogs()

bool Well::Data::haveLogs | ( |  | ) | const

## ◆ haveMarkers()

bool Well::Data::haveMarkers | ( |  | ) | const

## ◆ info() [1/2]

Info & Well::Data::info | ( |  | ) |
| inline

## ◆ info() [2/2]

const Info & Well::Data::info | ( |  | ) | const
| inline

## ◆ levelToBeRemoved()

void Well::Data::levelToBeRemoved | ( | CallBacker * |  | ) |

## ◆ loadState()

Well::LoadReqs Well::Data::loadState | ( |  | ) | const

## ◆ logs() [1/2]

LogSet & Well::Data::logs | ( |  | ) |
| inline

## ◆ logs() [2/2]

const LogSet & Well::Data::logs | ( |  | ) | const
| inline

## ◆ markers() [1/2]

MarkerSet & Well::Data::markers | ( |  | ) |
| inline

## ◆ markers() [2/2]

const MarkerSet & Well::Data::markers | ( |  | ) | const
| inline

## ◆ multiID()

const MultiID & Well::Data::multiID | ( |  | ) | const
| inline

## ◆ name()

const OD::String & Well::Data::name | ( |  | ) | const
| inline override virtual

Implements ObjectWithName.

## ◆ nrCheckShotModels()

int Well::Data::nrCheckShotModels | ( |  | ) | const

## ◆ nrD2TModels()

int Well::Data::nrD2TModels | ( |  | ) | const

## ◆ prepareForDelete()

void Well::Data::prepareForDelete | ( |  | ) |
| override protected virtual

Reimplemented from RefCount::Referenced.

## ◆ reloadLogInfos()

void Well::Data::reloadLogInfos | ( |  | ) | const

## ◆ setActiveCheckShotModel()

bool Well::Data::setActiveCheckShotModel | ( | D2TModel * |  | ) |

## ◆ setActiveD2TModel()

bool Well::Data::setActiveD2TModel | ( | D2TModel * |  | ) |

## ◆ setCheckShotModel()

bool Well::Data::setCheckShotModel | ( | D2TModel * |  | ) |

mine, too, replaces the active model

## ◆ setD2TModel()

bool Well::Data::setD2TModel | ( | D2TModel * |  | ) |

becomes mine, replaces the active model

## ◆ setEmpty()

void Well::Data::setEmpty | ( |  | ) |

removes everything

## ◆ setMultiID()

void Well::Data::setMultiID | ( | const MultiID & | mid | ) | const
| inline

## ◆ setName()

void Well::Data::setName | ( | const char * | nm | ) |
| inline override virtual

Reimplemented from NamedObject.

## ◆ track() [1/2]

Track & Well::Data::track | ( |  | ) |
| inline

## ◆ track() [2/2]

const Track & Well::Data::track | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ actcsmodel_

D2TModel* Well::Data::actcsmodel_ = nullptr
| protected

## ◆ actd2tmodel_

D2TModel* Well::Data::actd2tmodel_ = nullptr
| protected

## ◆ csmdlchanged

Notifier<Well::Data> Well::Data::csmdlchanged

## ◆ csmodels_

ObjectSet<D2TModel> Well::Data::csmodels_
| protected

## ◆ d2tchanged

Notifier<Well::Data> Well::Data::d2tchanged

## ◆ d2tmodels_

ObjectSet<D2TModel> Well::Data::d2tmodels_
| protected

## ◆ disp2d_

DisplayProperties& Well::Data::disp2d_
| protected

## ◆ disp2dparschanged

Notifier<Well::Data> Well::Data::disp2dparschanged

## ◆ disp3d_

DisplayProperties& Well::Data::disp3d_
| protected

## ◆ disp3dparschanged

Notifier<Well::Data> Well::Data::disp3dparschanged

## ◆ info_

Info Well::Data::info_
| protected

## ◆ logs_

LogSet& Well::Data::logs_
| protected

## ◆ logschanged

CNotifier<Well::Data,int> Well::Data::logschanged

## ◆ markers_

MarkerSet& Well::Data::markers_
| protected

## ◆ markerschanged

Notifier<Well::Data> Well::Data::markerschanged

## ◆ mid_

MultiID Well::Data::mid_
| mutable protected

## ◆ reloaded

Notifier<Well::Data> Well::Data::reloaded

## ◆ track_

Track& Well::Data::track_
| protected

## ◆ trackchanged

Notifier<Well::Data> Well::Data::trackchanged

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025